> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Rate

> A `PUT` to the `/rates/{rate}` endpoint allows your application to edit rate.



## OpenAPI

````yaml put /v3/rates/{rate}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/rates/{rate}:
    put:
      tags:
        - Rate
      summary: Edit Rate
      description: >-
        A `PUT` to the `/rates/{rate}` endpoint allows your application to edit
        rate.
      operationId: rates.update
      parameters:
        - name: rate
          in: path
          required: true
          description: The rate ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRate'
      responses:
        '200':
          description: '`Rate`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Rate'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateRate:
      type: object
      properties:
        handle:
          type: string
        type:
          type: string
        location:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        rate:
          type: number
        is_default:
          type:
            - boolean
            - 'null'
        region_id:
          type:
            - integer
            - 'null'
        location_id:
          type:
            - integer
            - 'null'
        country_iso_2:
          type:
            - string
            - 'null'
          minLength: 2
          maxLength: 2
        profile_conditions:
          type:
            - array
            - 'null'
          items:
            type: string
        product_conditions:
          type:
            - array
            - 'null'
          items:
            type: string
        start_time:
          type:
            - string
            - 'null'
          format: date-time
        end_time:
          type:
            - string
            - 'null'
          format: date-time
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
          enum:
            - hours
            - days
            - weeks
            - months
            - years
            - absolute_date
            - absolute_week
            - absolute_month
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        is_published:
          type:
            - boolean
            - 'null'
        priority:
          type:
            - integer
            - 'null'
      title: UpdateRate
    Rate:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        type:
          type: string
        location:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        rate:
          type: string
        is_default:
          type: boolean
        is_archived:
          type:
            - boolean
            - 'null'
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        location_id:
          type:
            - integer
            - 'null'
        location_object:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        country_iso_2:
          type:
            - string
            - 'null'
        profile_conditions:
          type:
            - array
            - 'null'
          items: {}
        product_conditions:
          type:
            - array
            - 'null'
          items: {}
        start_time:
          type:
            - string
            - 'null'
        end_time:
          type:
            - string
            - 'null'
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        priority:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - type
        - location
        - code
        - name
        - rate
        - is_default
        - is_archived
        - region_id
        - region
        - location_id
        - location_object
        - country_iso_2
        - profile_conditions
        - product_conditions
        - start_time
        - end_time
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - earn_instructions
        - internal_notes
        - is_published
        - priority
        - created_at
        - updated_at
      title: Rate
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````